/*
 * Copyright (C) 2010 Teleal GmbH, Switzerland
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation, either version 3 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.teleal.cling.support.connectionmanager;

/**
 *
 */
public enum ConnectionManagerErrorCode {

    INVALID_CONNECTION_REFERENCE(706, "Not a valid connection established by this service");

    private int code;
    private String description;

    ConnectionManagerErrorCode(int code, String description) {
        this.code = code;
        this.description = description;
    }

    public int getCode() {
        return code;
    }

    public String getDescription() {
        return description;
    }

    public static ConnectionManagerErrorCode getByCode(int code) {
        for (ConnectionManagerErrorCode errorCode : ConnectionManagerErrorCode.values()) {
            if (errorCode.getCode() == code)
                return errorCode;
        }
        return null;
    }

}